---
updatedAt: 2026-05-13T02:51:17.000Z
---

# Get all shipping templates

# Overview

The [Get all shipping templates](https://developer.walmart.com/us-marketplace/reference/getallshippingtemplates) API retrieves a list of all shipping templates configured for a seller account.

***

# Endpoint

```Text bash
GET https://marketplace.walmartapis.com/v3/settings/shipping/templates
```

***

# Function

This API helps you to:

* View all available shipping templates (default and custom)
* Identify active/inactive templates
* Review rate model types (tiered pricing or per shipment pricing)
* Retrieve template IDs for update, delete, or assignment operations
* Audit template creation and modification timestamps
* Identify international shipping templates

***

# Sample request

```curl
curl --request GET \
     --url https://marketplace.walmartapis.com/v3/settings/shipping/templates \
     --header 'accept: application/json'
```
```python
import requests

url = "https://marketplace.walmartapis.com/v3/settings/shipping/templates"
headers = {
    "Authorization": "Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.sampleAccessToken12345",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers, timeout=30)
response.raise_for_status()

print(response.json())
```

***

# Modify your code

## Add authentication headers

Include your valid access token:

```text bash
--header 'Authorization: Bearer <ACCESS_TOKEN>'
```

If your integration requires additional headers (consumer ID, correlation ID, or other Walmart headers) include them accordingly.

***

# Sample response

```json
{
  "shippingTemplates": [
    {
      "id": "83822721754763265",
      "name": "Default Template Create",
      "type": "DEFAULT",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597821725911,
      "modifiedDate": 1597821725911
    },
    {
      "id": "83163437035458561",
      "name": "Next Day servc2",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597664533668,
      "modifiedDate": 1597828307198
    },
    {
      "id": "83165439354245121",
      "name": "Next Day servc3",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665011078,
      "modifiedDate": 1597665011078
    },
    {
      "id": "83166772199198721",
      "name": "Next Day servc5",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665328865,
      "modifiedDate": 1597665328865
    },
    {
      "id": "83087074537021441",
      "name": "Next Day",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597646304723,
      "modifiedDate": 1597646304723
    },
    {
      "id": "83087948495757313",
      "name": "Next Day 22",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597646513086,
      "modifiedDate": 1599474456834
    },
    {
      "id": "83166113029201921",
      "name": "Next Day servc4",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665149044,
      "modifiedDate": 1597665149044
    },
    {
      "id": "83167397568356353",
      "name": "next day Servc1",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665455301,
      "modifiedDate": 1597665455301
    },
    {
      "id": "83168810683899905",
      "name": "Next Day servc7",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665792216,
      "modifiedDate": 1597665792216
    },
    {
      "id": "83188562269609985",
      "name": "Next Day servc8",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597670501380,
      "modifiedDate": 1597670501380
    },
    {
      "id": "83822084810383361",
      "name": "Next Day test2",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597821545570,
      "modifiedDate": 1597821545570
    },
    {
      "id": "91235658274476033",
      "name": "Next Day servc test",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1599589180814,
      "modifiedDate": 1599589209694
    },
    {
      "id": "91235658274476033",
      "name": "Next Day servc test",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1599589180814,
      "modifiedDate": 1599589209694,
      "shippingType": "INTERNATIONAL"
    }
  ],
  "totalRecords": 13
}
```
```python
{
  "shippingTemplates": [
    {
      "id": "83822721754763265",
      "name": "Default Template Create",
      "type": "DEFAULT",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597821725911,
      "modifiedDate": 1597821725911
    },
    {
      "id": "83163437035458561",
      "name": "Next Day servc2",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597664533668,
      "modifiedDate": 1597828307198
    },
    {
      "id": "83165439354245121",
      "name": "Next Day servc3",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665011078,
      "modifiedDate": 1597665011078
    },
    {
      "id": "83166772199198721",
      "name": "Next Day servc5",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665328865,
      "modifiedDate": 1597665328865
    },
    {
      "id": "83087074537021441",
      "name": "Next Day",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597646304723,
      "modifiedDate": 1597646304723
    },
    {
      "id": "83087948495757313",
      "name": "Next Day 22",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597646513086,
      "modifiedDate": 1599474456834
    },
    {
      "id": "83166113029201921",
      "name": "Next Day servc4",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665149044,
      "modifiedDate": 1597665149044
    },
    {
      "id": "83167397568356353",
      "name": "next day Servc1",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665455301,
      "modifiedDate": 1597665455301
    },
    {
      "id": "83168810683899905",
      "name": "Next Day servc7",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597665792216,
      "modifiedDate": 1597665792216
    },
    {
      "id": "83188562269609985",
      "name": "Next Day servc8",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597670501380,
      "modifiedDate": 1597670501380
    },
    {
      "id": "83822084810383361",
      "name": "Next Day test2",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1597821545570,
      "modifiedDate": 1597821545570
    },
    {
      "id": "91235658274476033",
      "name": "Next Day servc test",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1599589180814,
      "modifiedDate": 1599589209694
    },
    {
      "id": "91235658274476033",
      "name": "Next Day servc test",
      "type": "CUSTOM",
      "status": "ACTIVE",
      "rateModelType": "TIERED_PRICING",
      "createdDate": 1599589180814,
      "modifiedDate": 1599589209694,
      "shippingType": "INTERNATIONAL"
    }
  ],
  "totalRecords": 13
}
```

***

# Result

Returns a list of all shipping templates for the seller. Each template includes the:

* `id`: Used for update/delete operations
* `name`: Template display name
* `type`: `DEFAULT` or `CUSTOM`
* `status`: `ACTIVE` or `INACTIVE`
* `rateModelType`: `TIERED_PRICING` or `PER_SHIPMENT_PRICING`
* `createdDate` / `modifiedDate`: The created or modified date
* (Optional) `shippingType` (for example, `INTERNATIONAL`)
* `totalRecords` shows the total number of templates available.

This response enables sellers to manage shipping templates efficiently

***

# Next steps

The **Get shipping template details** API gives you specific shipping configurations for a single shipping template.

* [Get shipping template details Guide](https://developer.walmart.com/us-marketplace/docs/get-shipping-template-details)
* [Get shipping template details API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getshippingtemplatedetails)

The **Update shipping templates** API lets you modify configurations on an existing shipping template, such as shipping methods, regions, transit times, and pricing rules.

* [Update shipping templates Guide](https://developer.walmart.com/us-marketplace/docs/update-shipping-templates)
* [Update shipping templates API Reference Guide](https://developer.walmart.com/us-marketplace/reference/updateshippingtemplates)

The **Delete shipping templates&#x20;**&#x41;PI lets you permanently remove existing shipping templates from Walmart Marketplace settings.

* [Delete shipping template Guide](https://developer.walmart.com/us-marketplace/docs/delete-shipping-templates)
* [Delete shipping template API Reference Guide](https://developer.walmart.com/us-marketplace/reference/deleteshippingtemplatedetails)

The **Get all fulfillment centers&#x20;**&#x41;PI retrieves fulfillment centers (also known as ship nodes) information on your account.

* [Get all fulfillment centers Guide](https://developer.walmart.com/us-marketplace/docs/get-all-fulfillment-centers)
* [Get all fulfillment centers API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getallfulfillmentcenters)

The **Update fulfillment center** API helps you update your existing fulfillment centers (also known as a ship nodes) configuration in Marketplace Settings.

* [Update fulfillment centers Guide](https://developer.walmart.com/us-marketplace/docs/update-fulfillment-centers)
* [Update fulfillment centers API Reference Guide](https://developer.walmart.com/us-marketplace/reference//updatefulfillmentcenter)

The **Create fulfillment center** API sets up new fulfillment centers (also known as ship nodes) in Walmart Marketplace Settings.

* [Create fulfillment center Guide](https://developer.walmart.com/us-marketplace/docs/create-account-level-settings)
* [Create fulfillment center API Reference Guide](https://developer.walmart.com/us-marketplace/reference/createfulfillmentcenter)

The **Get account level settings** API retrieves account-level shipping settings such as calendar day configurations, weekends, and additional days off.

* [Get account level settings Guide](<- \[Create account level settings Guide](https://developer.walmart.com/us-marketplace/docs/create-account-level-settings)  - \<Anchor target="_blank" href="https://developer.walmart.com/us-marketplace/reference/createaccountlevelsettings"\>Create account level settings API Reference Guide\</Anchor\>>)
* [Get account level settings API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getaccountlevelsettings)

The **Update account level settings** API allows you to configure account-level calendar settings that impact shipping calculations and delivery promise logic.

* [Update account level settings Guide](https://developer.walmart.com/us-marketplace/docs/get-account-level-settings-1)
* [Update account level settings API Reference Guide](https://developer.walmart.com/us-marketplace/reference/updateaccountlevelsettings)

The **Create account level settings** API lets you establish account level calendar configuration for your shipping operations.

* [Create account level settings Guide](https://developer.walmart.com/us-marketplace/docs/get-all-shipping-templates)
* <Anchor target="_blank" href="https://developer.walmart.com/us-marketplace/reference/createaccountlevelsettings">Create account level settings API Reference Guide</Anchor>

The **Create shipping templates** API allows sellers to create custom shipping templates that define shipping methods, transit times, pricing logic, and geographic coverage.

* [Create shipping templates Guide](https://developer.walmart.com/us-marketplace/docs/create-shipping-templates)
* [Create shipping templates API Reference Guide](https://developer.walmart.com/us-marketplace/reference/createshippingtemplates)

The T**hird-party fulfillment center association** API allows sellers to activate or update the status of 3PL (third-party logistics) ship nodes associated with your Marketplace account.

* [Third-party fulfillment center association Guide](https://developer.walmart.com/us-marketplace/docs/third-party-fulfillment-center-association)
* [Third-party fulfillment center association API Reference Guide](https://developer.walmart.com/us-marketplace/reference/associate3pfulfillmentcenter)

The **Get shipping configurations&#x20;**&#x41;PI retrieves account-level shipping profile settings associated on your account.

* [Get shipping configurations Guide](https://developer.walmart.com/us-marketplace/docs/get-shipping-configurations-1)
* [Get shipping configurations API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getshippingconfigurations)

The **Get shipping template activation status** API allows sellers to retrieve the current activation state of shipping templates at the account level.

* [Get shipping template activation status Guide](https://developer.walmart.com/us-marketplace/docs/get-shipping-template-activation-status)
* [Get shipping template activation API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getshippingtemplateactivationstatus)

The **Get coverage for fulfillment centers** API retrieves the geographic coverage areas associated with each fulfillment center (ship node) configured under a seller account.

* [Get coverage for fulfillment centers Guide](https://developer.walmart.com/us-marketplace/docs/get-coverage-for-fulfillment-centers)
* [Get coverage for fulfillment centers API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getcoverageforfulfillmentcenters)

The **Get carrier methods** API retrieves the list of carrier methods available for use in Marketplace shipping configurations

* [Get carrier methods Guide](https://developer.walmart.com/us-marketplace/docs/get-carrier-methods)
* [Get carrier methods API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getcarriermethods)

The **Get all third-party fulfillment providers** API retrieves all third-party fulfillment providers (3PLs) available on the Walmart marketplace.

* [Get all third-party fulfillment providers Guide](https://developer.walmart.com/us-marketplace/docs/get-all-third-party-fulfillment-providers)
* [Get all third-party fulfillment providers API Reference Guide](https://developer.walmart.com/us-marketplace/reference/get3pfulfillmentproviders)

The **Get partner configurations** API retrieves seller-level profile information and system configuration settings associated with a Marketplace partner account.

* [Get partner configurations Guide](https://developer.walmart.com/us-marketplace/docs/get-partner-configurations-1)
* [Get partner configurations API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getpartnerconfigurations)

<br />